# $Revision: 1.21 $, $Date: 2004/11/01 22:05:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%include	/usr/lib/rpm/macros.perl
%define	pdir	DBD
%define	pnam	SQLite
Summary:	DBD::SQLite - DBI driver for SQLite database
Summary(pl):	DBD::SQLite - sterownik DBI dla bazy SQLite
Name:		perl-DBD-SQLite
Version:	1.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1f82060839c2c8332bd6719287757f9b
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBD::SQLite is a DBI driver for SQLite database. SQLite is a public
domain RDBMS database engine that you can find at
http://www.hwaci.com/sw/sqlite/.

%description -l pl
DBD::SQLite to sterownik DBI do baz danych SQLite. SQLite to silnik
relacyjnych baz danych na licencji public domain. Mona go znale pod
http://www.hwaci.com/sw/sqlite/.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
echo y | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor

# If SQLITE_PTR_SZ is not set in OPTIMIZE SQLite assumes 64-bit
# architecture and fails. 
%{__make} \
	OPTIMIZE="%{rpmcflags} -DSQLITE_PTR_SZ=`%{__perl} -MConfig -e 'print \"$Config{ptrsize}\";'`"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/DBD/SQLite.pm
%dir %{perl_vendorarch}/auto/DBD/SQLite
%{perl_vendorarch}/auto/DBD/SQLite/SQLite.bs
%attr(755,root,root) %{perl_vendorarch}/auto/DBD/SQLite/SQLite.so
%{_mandir}/man3/DBD*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-SQLite.spec,v $
Revision 1.21  2004/11/01 22:05:36  adamg
- updated to 1.07

Revision 1.20  2004/09/05 16:51:36  adamg
- updated to 1.04

Revision 1.19  2004/08/11 19:14:13  adamg
- updated to 1.03

Revision 1.18  2004/06/05 18:10:37  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.17  2004/05/06 18:43:08  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/20 05:35:02  ankry
- license fixes and unification

Revision 1.15  2004/02/15 20:19:43  adamg
- updated to 0.31

Revision 1.14  2004/02/08 23:12:36  migo
- up to 0.30

Revision 1.13  2003/12/08 12:53:03  qboosh
- little simpler

Revision 1.12  2003/12/08 12:51:46  qboosh
- hey, we DO support 64-bit archs; autodetect SQLITE_PTR_SZ

Revision 1.11  2003/12/07 19:19:11  migo
- up to 0.29 (works)
- we need to pass SQLITE_PTR_SZ=4 in OPTIMIZE for 32 archs
- new bcond style, cosmetics

Revision 1.10  2003/09/29 13:14:32  migo
- up to 0.28
- removed BR: sqlite-devel
- still doesn't work

Revision 1.9  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/04/08 20:10:25  ankry
- rel. 0.1

Revision 1.3  2003/04/08 09:52:52  ankry
- added OPTIMIZE=... to make

Revision 1.2  2003/03/27 17:06:01  qboosh
- added pl description, removed packaging-specific things from descriptions
- added missing dir, use "vendor" install scheme (untested)

Revision 1.1  2003/03/21 12:21:26  krzak
- initial release
